#include "BarneyBarEndView.h"

BarneyBarEndView::BarneyBarEndView( int x, bool left ):
	BView(BRect(x,0,x+8,19), "BarneyBarEndView", B_FOLLOW_LEFT | B_FOLLOW_TOP, 
	B_WILL_DRAW )
{
	SetViewColor( 216, 216, 216, 255 );
	Left=left;
}

void BarneyBarEndView::Draw( BRect updateRect )
{
	if ( Left == true )
	{
		SetHighColor( 216, 216, 216, 255 );
		StrokeLine(BPoint(0,7), BPoint(0,7), B_SOLID_HIGH);		
		StrokeLine(BPoint(7,0), BPoint(7,0), B_SOLID_HIGH);
		StrokeLine(BPoint(2,3), BPoint(3,2), B_SOLID_HIGH);
		StrokeLine(BPoint(0,17), BPoint(0,17), B_SOLID_HIGH);			
		
		SetHighColor( 152, 152, 152, 255 );
		StrokeLine(BPoint(0,18), BPoint(16,18), B_SOLID_HIGH);
		StrokeLine(BPoint(0,5), BPoint(0,5), B_SOLID_HIGH);	
		StrokeLine(BPoint(5,0), BPoint(5,0), B_SOLID_HIGH);	
		StrokeLine(BPoint(3,1), BPoint(1,3), B_SOLID_HIGH);	
		
		SetHighColor( 184, 184, 184, 255 );
		StrokeLine(BPoint(1,17), BPoint(16,17), B_SOLID_HIGH);
		StrokeLine(BPoint(0,6), BPoint(0,6), B_SOLID_HIGH);	
		StrokeLine(BPoint(6,0), BPoint(6,0), B_SOLID_HIGH);	
		StrokeLine(BPoint(1,4), BPoint(1,4), B_SOLID_HIGH);	
		StrokeLine(BPoint(4,1), BPoint(4,1), B_SOLID_HIGH);			
		
		SetHighColor( 239, 239, 239, 255 );
		StrokeLine(BPoint(0,16), BPoint(0,8), B_SOLID_HIGH);
		StrokeLine(BPoint(1,7), BPoint(1,5), B_SOLID_HIGH);
		StrokeLine(BPoint(2,4), BPoint(4,2), B_SOLID_HIGH);
		StrokeLine(BPoint(5,1), BPoint(7,1), B_SOLID_HIGH);
		StrokeLine(BPoint(8,0), BPoint(16,0), B_SOLID_HIGH);
		
		SetHighColor( 0, 0, 0, 255 );
		StrokeLine(BPoint(0,0), BPoint(4,0), B_SOLID_HIGH);	
		StrokeLine(BPoint(0,1), BPoint(2,1), B_SOLID_HIGH);	
		StrokeLine(BPoint(0,2), BPoint(1,2), B_SOLID_HIGH);	
		StrokeLine(BPoint(0,3), BPoint(0,4), B_SOLID_HIGH);	
	}
	else
	{
		SetHighColor( 0, 0, 0, 255 );
		StrokeLine(BPoint(2,0), BPoint(7,0), B_SOLID_HIGH);		
		StrokeLine(BPoint(4,1), BPoint(7,1), B_SOLID_HIGH);			
		StrokeLine(BPoint(5,2), BPoint(7,2), B_SOLID_HIGH);			
		StrokeLine(BPoint(6,3), BPoint(7,3), B_SOLID_HIGH);	
		StrokeLine(BPoint(7,4), BPoint(7,5), B_SOLID_HIGH);				

		SetHighColor( 100, 100, 100, 255 );
		StrokeLine(BPoint(7,6), BPoint(7,6), B_SOLID_HIGH);
		StrokeLine(BPoint(1,0), BPoint(1,0), B_SOLID_HIGH);
		
		SetHighColor( 152, 152, 152, 255 );
		StrokeLine(BPoint(0,18), BPoint(8,18), B_SOLID_HIGH);
		StrokeLine(BPoint(7,7), BPoint(7,7), B_SOLID_HIGH);
		StrokeLine(BPoint(0,0), BPoint(0,0), B_SOLID_HIGH);
		StrokeLine(BPoint(6,4), BPoint(3,1), B_SOLID_HIGH);
		
		SetHighColor( 184, 184, 184, 255 );
		StrokeLine(BPoint(0,17), BPoint(8,17), B_SOLID_HIGH);
		StrokeLine(BPoint(7,8), BPoint(7,17), B_SOLID_HIGH);		
		StrokeLine(BPoint(6,7), BPoint(6,5), B_SOLID_HIGH);		
		StrokeLine(BPoint(5,4), BPoint(3,2), B_SOLID_HIGH);		
		StrokeLine(BPoint(2,1), BPoint(0,1), B_SOLID_HIGH);
	}
}