#include <Window.h>
#include <MenuBar.h>
#include "BarneyBarEndView.h"
#include "BarneyBarClock.h"
#include "BarneyBarPager.h"
#include "BarneyBarBeMenu.h"
#include "BarneyBarDivider.h"
#include "BarneyBarLeftCap.h"

#define BARNEYBAR_MENUSELECTION 'BBMS'
#define BARNEYBAR_BEMENU_ABOUT 'BMAB'
#define BARNEYBAR_BEMENU_SHUTDOWN 0x12d
#define BARNEYBAR_BEMENU_REBOOT 0x12e
#define BARNEYBAR_BEMENU_FIND 'Tfnd'
#define BARNEYBAR_BEMENU_PREFS 'BMPR'

class BarneyBarWindow : public BWindow
{
	public:
		BarneyBarWindow();
	private:
		BMenuBar *MenuBar;
		BMenu *BeMenuMenu;
		BarneyBarClock *Clock;
		BarneyBarPager *Pager;
		BarneyBarEndView *LeftEnd, *RightEnd;
		BarneyBarBeMenu *BeMenu;
		BarneyBarDivider *Divider;
		BarneyBarLeftCap *LeftCap;
		virtual void MessageReceived( BMessage *message );
		virtual void ScreenChanged(BRect frame, color_space mode);
		virtual void WorkspaceActivated(int32 workspace, bool active);
};

