#include <NodeInfo.h>
#include <Resources.h>
#include <File.h>
#include <Node.h>
#include <NodeInfo.h>
#include <Application.h>
#include <Message.h>
#include "BarneyBarBeMenu.h"

BarneyBarBeMenu::BarneyBarBeMenu( BMenu *submenu):
	BMenuItem( submenu )
{
	BEntry *Entry = new BEntry( "/boot/home/config/BarneyBar/BeMenuLogo", true);
	BNode *Node = new BNode( Entry );
	BNodeInfo *NodeInfo = new BNodeInfo( Node );
	Icon = new BBitmap(BRect(0,0,15,15),B_COLOR_8_BIT);
	NodeInfo->GetTrackerIcon(Icon, B_MINI_ICON);
			
	SetLabel( "Be" );
}

void BarneyBarBeMenu::DrawContent()
{
	BPoint loc = ContentLocation();
	//loc.x += 20;
	Menu()->MovePenTo(loc);
	//BMenuItem::DrawContent();
	
	BPoint where(ContentLocation());
	where.y = Frame().top+1;
	where.x = Frame().left+((Frame().right-Frame().left-16)/2);
	
	Menu()->SetDrawingMode(B_OP_OVER);
	Menu()->DrawBitmapAsync(Icon, where);
}