#include <Window.h>
#include "BarneyBarClock.h"

BarneyBarClock::BarneyBarClock( int left ):
	BStringView(BRect(0,0,0,0), "BarneyBarClock", "12:00 PM", B_FOLLOW_LEFT | 
	B_FOLLOW_TOP, B_WILL_DRAW | B_PULSE_NEEDED )
{
	char temp[80];
	tm *ClockTime;
	time_t tm;
	
	tm = time(NULL);
	ClockTime=localtime(&tm);
	strftime(temp, 80, "%l:%M %p", ClockTime);
	if ( strcmp( temp, Text() ) != 0 )
		SetText(temp);
	
	SetAlignment(B_ALIGN_RIGHT);
	MoveTo( left, 1 );
	ResizeTo( 45, 15 );
}

void BarneyBarClock::Pulse()
{
	char temp[80];
	tm *ClockTime;
	time_t tm;
	
	tm = time(NULL);
	ClockTime=localtime(&tm);
	strftime(temp, 80, "%l:%M %p", ClockTime);
	if ( strcmp( temp, Text() ) != 0 )
		SetText(temp);	
}