#include <NodeInfo.h>
#include "BarneyBarMenu.h"

BarneyBarMenu::BarneyBarMenu( char *label, BMessage *message, BBitmap *icon ):
	BMenuItem( label, message ), Icon(icon)
{
	//memcpy( icon, Icon, sizeof( icon ) );	
	//get_device_icon(reply.FindString("DeviceName", vol), icon->Bits(), B_MINI_ICON);	
	//SetLabel( "Be" );
}

BarneyBarMenu::~BarneyBarMenu()
{
	delete Icon;  
}

void BarneyBarMenu::GetContentSize(float *width, float *height)
{
	BMenuItem::GetContentSize(width, height);
	*width += 20;
	*height += 3;
}

void BarneyBarMenu::DrawContent()
{
	BPoint loc = ContentLocation();
	loc.x += 20;
	Menu()->MovePenTo(loc);
	BMenuItem::DrawContent();
	
	BPoint where(ContentLocation());
	where.y = Frame().top;
	
	Menu()->SetDrawingMode(B_OP_OVER);
	Menu()->DrawBitmapAsync(Icon, where);
}